Bug 183919 - wishlist copy and paste
Summary: wishlist copy and paste
Status: RESOLVED FIXED
Alias: None
Product: step
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Vladimir Kuznetsov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-10 17:06 UTC by Nicolas Levy
Modified: 2011-05-08 13:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Levy 2009-02-10 17:06:57 UTC
Version:           0.1.0 (using 4.2.00 (KDE 4.2.0), Debian packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.26-1-686

There should be an option to copy and paste objects.
Comment 1 Sebastian Ziebarth 2011-05-08 13:57:12 UTC
Git commit 8e68940e2cc526b87594ba6a0573e72c645672bc by Sebastian Voecking.
Committed on 08/05/2011 at 13:57.
Pushed by voecking into branch 'master'.

Added copy-and-paste support

FEATURE: 183919
GUI:

M  +1    -0    step/CMakeLists.txt     
A  +195  -0    step/clipboard.cc         [License: GPL (v2+)]
A  +56   -0    step/clipboard.h         [License: GPL (v2+)]
M  +17   -0    step/mainwindow.cc     
M  +3    -0    step/mainwindow.h     
M  +4    -8    step/worldgraphics.cc     
M  +0    -3    step/worldgraphics.h     
M  +73   -0    step/worldmodel.cc     
M  +9    -0    step/worldmodel.h     

http://commits.kde.org/step/8e68940e2cc526b87594ba6a0573e72c645672bc